Skip to main content
GET
Get maps search job

Authorizations

Authorization
string
header
required

Your API key, sent as is (no Bearer prefix). Create it in the Leadsforge app under Settings -> API & MCP.

Path Parameters

jobID
string
required

Job ID

Response

Job status

categories
string[]
Example:
clientRequestID
string
Example:

"req_12345"

completedAt
string
consumedCredits
number
createdAt
string
Example:

"2026-09-13T12:00:00Z"

error
string

Error is set on failed and no_results jobs.

foundCount
integer
Example:

143

jobID
string
Example:

"5f1c2e3a-0b1d-4c2e-9f3a-1b2c3d4e5f60"

keywords
string[]
Example:
language
string
Example:

"en"

lat
number
Example:

40.758

limit
integer
Example:

200

lng
number
Example:

-73.9855

radiusKm
number
Example:

5

reservedCredits
number
resultsURL
string
Example:

"/public/v1/maps-discovery/jobs/5f1c2e3a-0b1d-4c2e-9f3a-1b2c3d4e5f60/results"

status
enum<string>
Available options:
in_progress,
completed,
failed,
no_results
Example:

"in_progress"

statusURL
string
Example:

"/public/v1/maps-discovery/jobs/5f1c2e3a-0b1d-4c2e-9f3a-1b2c3d4e5f60"

updatedAt
string
Example:

"2026-09-13T12:01:00Z"

webhookURL
string
Example:

"https://example.com/webhooks/maps-search"